Bug 214041 - problematic rule for palm pilots (usb)
problematic rule for palm pilots (usb)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 19:18 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 05:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2006-11-04 19:18:09 EST
Description of problem:
when attempting to hotsync a palm pilot sometimes the /dev/pilot gets pointed to
the wrong ttyUSB device.

Version-Release number of selected component (if applicable):
udev-095-14

How reproducible:
About 50/50

Steps to Reproduce:
1.insert palm pilot into usb
2.click hotsync
3.run pilot-xfer -l (this defaults to using /dev/pilot)
  
Actual results:
sometimes it shows a list of things on your palm pilot, other times it hangs.

Expected results:
Show a list of things on your palm pilot.

Additional info:
On a computer where no other devices are plugged in the palm pilot will create
ttyUSB0 and ttyUSB1.

The one to talk to is ttyUSB1. So running pilot-xfer -p /dev/ttyUSB1 -l will
always work in this case.

However the udev rule for this simply says link to ttyUSB* which as I can
understand can vary between being ttyUSB0 and ttyUSB1.
Comment 1 Harald Hoyer 2006-11-06 11:48:07 EST
fix the application..
Comment 2 Gilboa Davara 2006-12-12 12:38:55 EST
Latest pilot-link upgrade completely broken on my machine.
It either complains it cannot find the device nodes - or - if the device node
is found, it hangs waiting for the sync to begin. (Even if the palm is already
awaiting connection)
Pilot-link even fails if I create static device nodes. (So slow udev node
creation isn't the source of the problem.)

[gilboa ~]$ pilot-xfer -p /dev/ttyUSB0 -l

   The device /dev/ttyUSB0 does not exist..
   Possible solution:

        mknod /dev/ttyUSB0 c <major> <minor>

   Unable to bind to port: /dev/ttyUSB0
   Please use --help for more information

(Press hotsync)

[gilboa ~]$ pilot-xfer -p /dev/ttyUSB0 -l


   Listening to port: /dev/ttyUSB0

   Please press the HotSync button now...

(Pilot-link hangs. Ctrl-C to exit
 Stop the hot-sync)

[gilboa ~]$ pilot-xfer -p /dev/ttyUSB1 -l

   The device /dev/ttyUSB1 does not exist..
   Possible solution:

        mknod /dev/ttyUSB1 c <major> <minor>

   Unable to bind to port: /dev/ttyUSB1
   Please use --help for more information

(Press hotsync)

[gilboa ~]$ pilot-xfer -p /dev/ttyUSB1 -l


   Listening to port: /dev/ttyUSB1

   Please press the HotSync button now...

(Pilot-link hangs. Ctrl-C to exit
 Stop the hot-sync
 Try creating static device nodes)

[gilboa ~]$ su
Password:
[gilboa gilboa]# mkdir -p /etc/dev
[gilboa gilboa]# mknod /etc/dev/ttyUSB0 c 188 0
[gilboa gilboa]# mknod /etc/dev/ttyUSB1 c 188 1
[gilboa gilboa]# ln -sf /etc/dev/ttyUSB1 /etc/dev/pilot
[gilboa gilboa]# chown root:uucp /etc/dev/*
[gilboa gilboa]# chmod 0660 /etc/dev/*
[gilboa gilboa]# exit
exit
[gilboa ~]$ pilot-xfer -p /etc/dev/ttyUSB1 -l

   Port not connected, sleeping for 2 seconds, 5 retries..

(Press hotsync)

   Listening to port: /etc/dev/ttyUSB1

   Please press the HotSync button now...

(Pilot-link hangs. Ctrl-C to exit)

[gilboa ~]$

Comment 3 Gilboa Davara 2006-12-12 12:43:46 EST
Forgot to add:
$ rpm -qa | grep pilot | sort
gnome-pilot-2.0.15-1.fc6.i386
gnome-pilot-2.0.15-1.fc6.x86_64
gnome-pilot-conduits-2.0.15-1.fc6.x86_64
gnome-pilot-devel-2.0.15-1.fc6.x86_64
jpilot-0.99.8-8.fc6.x86_64
pilot-link-0.11.8-16.i386
pilot-link-0.11.8-16.x86_64
pilot-link-devel-0.11.8-16.x86_64
Comment 4 Gilboa Davara 2006-12-12 14:56:23 EST
FYI, Creating a static ttyUSB2 (c 188 2) node works just fine.
(The udev created one [under /dev] doesn't still work)

- Gilboa
Comment 5 Joe Acosta 2007-04-08 16:38:27 EDT
On my computer, pilot-xfer create ttyUSB0 and ttyUSB1 and tries to use ttyUSB1.
 This fails on a read.  

If I manually specify -p /dev/ttyUSB0 it works fine.  It I use /dev/pilot,
/dev/pilot is linked to ttyUSB1 and it just hangs a times out.

In my case the one to talk to is NOT ttyUSB1 it is ttyUSB0.   
Comment 6 Harald Hoyer 2007-04-10 05:08:36 EDT
Pilot symlink rule is removed in FC7 from udev.
Comment 7 Ivana Varekova 2007-08-23 05:45:23 EDT
The last devel/fc7 version of pilot-link package
(pilot-link-0.12.2-4.fc8/pilot-link-0.12.2-4.fc7) fixed these problem.

Note You need to log in before you can comment on or make changes to this bug.